__SECURE2_Driver_HAL_i2cStart:
;__secure2_hal.c,200 :: 		static int HAL_i2cStart()
;__secure2_hal.c,202 :: 		int res = 0;
; res start address is: 8 (R2)
MOVW	R2, #0
SXTH	R2, R2
;__secure2_hal.c,212 :: 		startF = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(__SECURE2_Driver_startF+0)
MOVT	R0, #hi_addr(__SECURE2_Driver_startF+0)
STRB	R1, [R0, #0]
;__secure2_hal.c,232 :: 		return res;
SXTH	R0, R2
; res end address is: 8 (R2)
;__secure2_hal.c,233 :: 		}
L_end_HAL_i2cStart:
BX	LR
; end of __SECURE2_Driver_HAL_i2cStart
__SECURE2_Driver_HAL_i2cWrite:
;__secure2_hal.c,259 :: 		static int HAL_i2cWrite(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STRH	R2, [SP, #12]
MOV	R2, R1
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 8 (R2)
;__secure2_hal.c,261 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #8]
;__secure2_hal.c,262 :: 		uint8_t *ptr = pBuf;
; ptr start address is: 4 (R1)
MOV	R1, R2
; pBuf end address is: 8 (R2)
;__secure2_hal.c,276 :: 		if( startF )
MOVW	R4, #lo_addr(__SECURE2_Driver_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_startF+0)
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L___SECURE2_Driver_HAL_i2cWrite0
;__secure2_hal.c,278 :: 		fpStartI2C(slaveAddress, _I2C_DIR_MASTER_TRANSMIT);
STR	R1, [SP, #4]
MOVS	R1, #0
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(__SECURE2_Driver_fpStartI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpStartI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
;__secure2_hal.c,279 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__secure2_hal.c,280 :: 		startF = 0;
MOVS	R5, #0
MOVW	R4, #lo_addr(__SECURE2_Driver_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_startF+0)
STRB	R5, [R4, #0]
;__secure2_hal.c,281 :: 		}
L___SECURE2_Driver_HAL_i2cWrite0:
;__secure2_hal.c,283 :: 		if(nBytes == 1)
LDRH	R4, [SP, #12]
CMP	R4, #1
IT	NE
BNE	L___SECURE2_Driver_HAL_i2cWrite1
;__secure2_hal.c,285 :: 		res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_SINGLE_SEND );
LDRB	R4, [R1, #0]
; ptr end address is: 4 (R1)
MOVS	R1, #7
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Driver_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__secure2_hal.c,286 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__secure2_hal.c,287 :: 		}
IT	AL
BAL	L___SECURE2_Driver_HAL_i2cWrite2
L___SECURE2_Driver_HAL_i2cWrite1:
;__secure2_hal.c,288 :: 		else if(nBytes == 2)
; ptr start address is: 4 (R1)
LDRH	R4, [SP, #12]
CMP	R4, #2
IT	NE
BNE	L___SECURE2_Driver_HAL_i2cWrite3
;__secure2_hal.c,290 :: 		res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_START );
LDRB	R4, [R1, #0]
STR	R1, [SP, #4]
MOVS	R1, #3
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Driver_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R4, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 0 (R0)
MOV	R0, R4
;__secure2_hal.c,291 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__secure2_hal.c,292 :: 		res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_BURST_SEND_FINISH );
LDRB	R4, [R0, #0]
; ptr end address is: 0 (R0)
MOVS	R1, #5
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Driver_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__secure2_hal.c,293 :: 		}
IT	AL
BAL	L___SECURE2_Driver_HAL_i2cWrite4
L___SECURE2_Driver_HAL_i2cWrite3:
;__secure2_hal.c,296 :: 		res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_START );
; ptr start address is: 4 (R1)
LDRB	R4, [R1, #0]
STR	R1, [SP, #4]
MOVS	R1, #3
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Driver_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R2, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 8 (R2)
;__secure2_hal.c,297 :: 		Delay_1ms();
BL	_Delay_1ms+0
; ptr end address is: 8 (R2)
MOV	R1, R2
;__secure2_hal.c,298 :: 		while(--nBytes > 1)
L___SECURE2_Driver_HAL_i2cWrite5:
; ptr start address is: 4 (R1)
LDRH	R4, [SP, #12]
SUBS	R4, R4, #1
UXTH	R4, R4
STRH	R4, [SP, #12]
CMP	R4, #1
IT	LS
BLS	L___SECURE2_Driver_HAL_i2cWrite6
;__secure2_hal.c,300 :: 		res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_CONT );
LDRB	R4, [R1, #0]
STR	R1, [SP, #4]
MOVS	R1, #1
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Driver_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R4, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 8 (R2)
MOV	R2, R4
;__secure2_hal.c,301 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__secure2_hal.c,302 :: 		}
MOV	R1, R2
; ptr end address is: 8 (R2)
IT	AL
BAL	L___SECURE2_Driver_HAL_i2cWrite5
L___SECURE2_Driver_HAL_i2cWrite6:
;__secure2_hal.c,303 :: 		res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_BURST_SEND_FINISH );
; ptr start address is: 4 (R1)
LDRB	R4, [R1, #0]
; ptr end address is: 4 (R1)
MOVS	R1, #5
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Driver_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__secure2_hal.c,304 :: 		}
L___SECURE2_Driver_HAL_i2cWrite4:
L___SECURE2_Driver_HAL_i2cWrite2:
;__secure2_hal.c,306 :: 		if( endMode = END_MODE_RESTART )
;__secure2_hal.c,308 :: 		startF = 1;
MOVS	R5, #1
MOVW	R4, #lo_addr(__SECURE2_Driver_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_startF+0)
STRB	R5, [R4, #0]
;__secure2_hal.c,350 :: 		return res;
LDRSH	R0, [SP, #8]
;__secure2_hal.c,351 :: 		}
L_end_HAL_i2cWrite:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of __SECURE2_Driver_HAL_i2cWrite
__SECURE2_Driver_HAL_i2cRead:
;__secure2_hal.c,379 :: 		static int HAL_i2cRead(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STRH	R2, [SP, #12]
MOV	R2, R1
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 8 (R2)
;__secure2_hal.c,381 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #8]
;__secure2_hal.c,382 :: 		uint8_t *ptr = pBuf;
; ptr start address is: 4 (R1)
MOV	R1, R2
; pBuf end address is: 8 (R2)
;__secure2_hal.c,396 :: 		if( startF )
MOVW	R4, #lo_addr(__SECURE2_Driver_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_startF+0)
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L___SECURE2_Driver_HAL_i2cRead8
;__secure2_hal.c,398 :: 		fpStartI2C(slaveAddress, _I2C_DIR_MASTER_RECEIVE);
STR	R1, [SP, #4]
MOVS	R1, #1
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(__SECURE2_Driver_fpStartI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpStartI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
;__secure2_hal.c,399 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__secure2_hal.c,400 :: 		startF = 0;
MOVS	R5, #0
MOVW	R4, #lo_addr(__SECURE2_Driver_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_startF+0)
STRB	R5, [R4, #0]
;__secure2_hal.c,401 :: 		}
L___SECURE2_Driver_HAL_i2cRead8:
;__secure2_hal.c,403 :: 		if(nBytes == 1)
LDRH	R4, [SP, #12]
CMP	R4, #1
IT	NE
BNE	L___SECURE2_Driver_HAL_i2cRead9
;__secure2_hal.c,405 :: 		res |= fpReadI2C(ptr, _I2C_MASTER_MODE_SINGLE_RECEIVE);
MOV	R0, R1
MOVS	R1, #7
; ptr end address is: 4 (R1)
MOVW	R4, #lo_addr(__SECURE2_Driver_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__secure2_hal.c,406 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__secure2_hal.c,407 :: 		}
IT	AL
BAL	L___SECURE2_Driver_HAL_i2cRead10
L___SECURE2_Driver_HAL_i2cRead9:
;__secure2_hal.c,408 :: 		else if(nBytes == 2)
; ptr start address is: 4 (R1)
LDRH	R4, [SP, #12]
CMP	R4, #2
IT	NE
BNE	L___SECURE2_Driver_HAL_i2cRead11
;__secure2_hal.c,410 :: 		res |= fpReadI2C(ptr++, _I2C_MASTER_MODE_BURST_RECEIVE_START);
STR	R1, [SP, #4]
MOV	R0, R1
MOVS	R1, #11
MOVW	R4, #lo_addr(__SECURE2_Driver_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R4, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 0 (R0)
MOV	R0, R4
;__secure2_hal.c,411 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__secure2_hal.c,412 :: 		res |= fpReadI2C(ptr, _I2C_MASTER_MODE_BURST_RECEIVE_FINISH);
MOVS	R1, #5
; ptr end address is: 0 (R0)
MOVW	R4, #lo_addr(__SECURE2_Driver_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__secure2_hal.c,413 :: 		}
IT	AL
BAL	L___SECURE2_Driver_HAL_i2cRead12
L___SECURE2_Driver_HAL_i2cRead11:
;__secure2_hal.c,416 :: 		res |= fpReadI2C(ptr++ , _I2C_MASTER_MODE_BURST_RECEIVE_START);
; ptr start address is: 4 (R1)
STR	R1, [SP, #4]
MOV	R0, R1
MOVS	R1, #11
MOVW	R4, #lo_addr(__SECURE2_Driver_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R2, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 8 (R2)
;__secure2_hal.c,417 :: 		Delay_1ms();
BL	_Delay_1ms+0
; ptr end address is: 8 (R2)
MOV	R1, R2
;__secure2_hal.c,418 :: 		while(--nBytes > 1)
L___SECURE2_Driver_HAL_i2cRead13:
; ptr start address is: 4 (R1)
LDRH	R4, [SP, #12]
SUBS	R4, R4, #1
UXTH	R4, R4
STRH	R4, [SP, #12]
CMP	R4, #1
IT	LS
BLS	L___SECURE2_Driver_HAL_i2cRead14
;__secure2_hal.c,420 :: 		res |= fpReadI2C(ptr++ , _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
STR	R1, [SP, #4]
MOV	R0, R1
MOVS	R1, #9
MOVW	R4, #lo_addr(__SECURE2_Driver_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R4, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 8 (R2)
MOV	R2, R4
;__secure2_hal.c,421 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__secure2_hal.c,422 :: 		}
MOV	R1, R2
; ptr end address is: 8 (R2)
IT	AL
BAL	L___SECURE2_Driver_HAL_i2cRead13
L___SECURE2_Driver_HAL_i2cRead14:
;__secure2_hal.c,423 :: 		res |= fpReadI2C(ptr, _I2C_MASTER_MODE_BURST_RECEIVE_FINISH);
; ptr start address is: 4 (R1)
MOV	R0, R1
MOVS	R1, #5
; ptr end address is: 4 (R1)
MOVW	R4, #lo_addr(__SECURE2_Driver_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__secure2_hal.c,424 :: 		}
L___SECURE2_Driver_HAL_i2cRead12:
L___SECURE2_Driver_HAL_i2cRead10:
;__secure2_hal.c,425 :: 		if( endMode = END_MODE_RESTART )
;__secure2_hal.c,427 :: 		startF = 1;
MOVS	R5, #1
MOVW	R4, #lo_addr(__SECURE2_Driver_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_startF+0)
STRB	R5, [R4, #0]
;__secure2_hal.c,472 :: 		return res;
LDRSH	R0, [SP, #8]
;__secure2_hal.c,473 :: 		}
L_end_HAL_i2cRead:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of __SECURE2_Driver_HAL_i2cRead
_SECURE2_I2CdriverInit:
;__SECURE2_Driver.c,68 :: 		T_SECURE2_I2C_Read      fnRead )
; fnWrite start address is: 12 (R3)
; fnRestart start address is: 8 (R2)
; fnStop start address is: 4 (R1)
; fnStart start address is: 0 (R0)
; fnWrite end address is: 12 (R3)
; fnRestart end address is: 8 (R2)
; fnStop end address is: 4 (R1)
; fnStart end address is: 0 (R0)
; fnStart start address is: 0 (R0)
; fnStop start address is: 4 (R1)
; fnRestart start address is: 8 (R2)
; fnWrite start address is: 12 (R3)
; fnRead start address is: 20 (R5)
LDR	R5, [SP, #0]
;__SECURE2_Driver.c,70 :: 		fpStartI2C    = fnStart;
MOVW	R4, #lo_addr(__SECURE2_Driver_fpStartI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpStartI2C+0)
STR	R0, [R4, #0]
; fnStart end address is: 0 (R0)
;__SECURE2_Driver.c,71 :: 		fpStopI2C     = fnStop;
MOVW	R4, #lo_addr(__SECURE2_Driver_fpStopI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpStopI2C+0)
STR	R1, [R4, #0]
; fnStop end address is: 4 (R1)
;__SECURE2_Driver.c,72 :: 		fpRestartI2C  = fnRestart;
MOVW	R4, #lo_addr(__SECURE2_Driver_fpRestartI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpRestartI2C+0)
STR	R2, [R4, #0]
; fnRestart end address is: 8 (R2)
;__SECURE2_Driver.c,73 :: 		fpWriteI2C    = fnWrite;
MOVW	R4, #lo_addr(__SECURE2_Driver_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpWriteI2C+0)
STR	R3, [R4, #0]
; fnWrite end address is: 12 (R3)
;__SECURE2_Driver.c,74 :: 		fpReadI2C     = fnRead;
MOVW	R4, #lo_addr(__SECURE2_Driver_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Driver_fpReadI2C+0)
STR	R5, [R4, #0]
; fnRead end address is: 20 (R5)
;__SECURE2_Driver.c,75 :: 		}
L_end_SECURE2_I2CdriverInit:
BX	LR
; end of _SECURE2_I2CdriverInit
_i2c_disable_phys:
;__SECURE2_Driver.c,89 :: 		uint8_t i2c_disable_phys()
;__SECURE2_Driver.c,91 :: 		return 0x00;
MOVS	R0, #0
;__SECURE2_Driver.c,92 :: 		}
L_end_i2c_disable_phys:
BX	LR
; end of _i2c_disable_phys
_i2c_enable_phys:
;__SECURE2_Driver.c,93 :: 		uint8_t i2c_enable_phys()
;__SECURE2_Driver.c,95 :: 		return 0x00;
MOVS	R0, #0
;__SECURE2_Driver.c,96 :: 		}
L_end_i2c_enable_phys:
BX	LR
; end of _i2c_enable_phys
_i2c_select_device_phys:
;__SECURE2_Driver.c,97 :: 		uint8_t i2c_select_device_phys(uint8_t device_id)
;__SECURE2_Driver.c,99 :: 		return 0x00;
MOVS	R0, #0
;__SECURE2_Driver.c,100 :: 		}
L_end_i2c_select_device_phys:
BX	LR
; end of _i2c_select_device_phys
_i2c_send_slave_address:
;__SECURE2_Driver.c,101 :: 		uint8_t i2c_send_slave_address(uint8_t readBit)
;__SECURE2_Driver.c,103 :: 		return 0x00;
MOVS	R0, #0
;__SECURE2_Driver.c,104 :: 		}
L_end_i2c_send_slave_address:
BX	LR
; end of _i2c_send_slave_address
_i2c_send_stop:
;__SECURE2_Driver.c,105 :: 		uint8_t i2c_send_stop()
;__SECURE2_Driver.c,107 :: 		return 0x00;
MOVS	R0, #0
;__SECURE2_Driver.c,108 :: 		}
L_end_i2c_send_stop:
BX	LR
; end of _i2c_send_stop
_i2c_send_start:
;__SECURE2_Driver.c,109 :: 		uint8_t i2c_send_start()
;__SECURE2_Driver.c,111 :: 		return 0x00;
MOVS	R0, #0
;__SECURE2_Driver.c,112 :: 		}
L_end_i2c_send_start:
BX	LR
; end of _i2c_send_start
_i2c_send_bytes:
;__SECURE2_Driver.c,114 :: 		uint8_t i2c_send_bytes(uint8_t count, uint8_t * writeData)
; writeData start address is: 4 (R1)
; count start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
MOV	R2, R1
; writeData end address is: 4 (R1)
; count end address is: 0 (R0)
; count start address is: 0 (R0)
; writeData start address is: 8 (R2)
;__SECURE2_Driver.c,117 :: 		for (i = 0; i <20; i++)
; i start address is: 4 (R1)
MOVS	R1, #0
SXTH	R1, R1
; count end address is: 0 (R0)
; writeData end address is: 8 (R2)
; i end address is: 4 (R1)
UXTB	R4, R0
MOV	R0, R2
L_i2c_send_bytes16:
; i start address is: 4 (R1)
; writeData start address is: 0 (R0)
; count start address is: 16 (R4)
CMP	R1, #20
IT	GE
BGE	L_i2c_send_bytes17
;__SECURE2_Driver.c,118 :: 		bufferrrr [i] = writeData [i];
MOVW	R2, #lo_addr(_bufferrrr+0)
MOVT	R2, #hi_addr(_bufferrrr+0)
ADDS	R3, R2, R1
ADDS	R2, R0, R1
LDRB	R2, [R2, #0]
STRB	R2, [R3, #0]
;__SECURE2_Driver.c,117 :: 		for (i = 0; i <20; i++)
ADDS	R1, R1, #1
SXTH	R1, R1
;__SECURE2_Driver.c,118 :: 		bufferrrr [i] = writeData [i];
; i end address is: 4 (R1)
IT	AL
BAL	L_i2c_send_bytes16
L_i2c_send_bytes17:
;__SECURE2_Driver.c,119 :: 		HAL_i2cStart();
STR	R0, [SP, #4]
BL	__SECURE2_Driver_HAL_i2cStart+0
LDR	R0, [SP, #4]
;__SECURE2_Driver.c,120 :: 		HAL_i2cWrite(0x50, writeData, count, END_MODE_STOP);
MOVS	R3, #0
UXTB	R2, R4
; count end address is: 16 (R4)
MOV	R1, R0
; writeData end address is: 0 (R0)
MOVS	R0, #80
BL	__SECURE2_Driver_HAL_i2cWrite+0
;__SECURE2_Driver.c,121 :: 		delay_ms (100);
MOVW	R7, #2302
MOVT	R7, #61
NOP
NOP
L_i2c_send_bytes19:
SUBS	R7, R7, #1
BNE	L_i2c_send_bytes19
NOP
NOP
NOP
;__SECURE2_Driver.c,122 :: 		return 0x00;
MOVS	R0, #0
;__SECURE2_Driver.c,123 :: 		}
L_end_i2c_send_bytes:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _i2c_send_bytes
_i2c_receive_bytes:
;__SECURE2_Driver.c,124 :: 		uint8_t i2c_receive_bytes(uint8_t count, uint8_t * readData)
; readData start address is: 4 (R1)
; count start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
UXTB	R3, R0
MOV	R4, R1
; readData end address is: 4 (R1)
; count end address is: 0 (R0)
; count start address is: 12 (R3)
; readData start address is: 16 (R4)
;__SECURE2_Driver.c,126 :: 		HAL_i2cStart();
BL	__SECURE2_Driver_HAL_i2cStart+0
;__SECURE2_Driver.c,127 :: 		HAL_i2cRead(0x50, readData, count, END_MODE_STOP);
UXTB	R2, R3
MOVS	R3, #0
; count end address is: 12 (R3)
MOV	R1, R4
; readData end address is: 16 (R4)
MOVS	R0, #80
BL	__SECURE2_Driver_HAL_i2cRead+0
;__SECURE2_Driver.c,129 :: 		return 0x00;
MOVS	R0, #0
;__SECURE2_Driver.c,130 :: 		}
L_end_i2c_receive_bytes:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _i2c_receive_bytes
