__SECURE2_Hal_HAL_i2cStart:
;__SECURE2_Hal.c,200 :: 		static int HAL_i2cStart()
;__SECURE2_Hal.c,202 :: 		int res = 0;
; res start address is: 8 (R2)
MOVW	R2, #0
SXTH	R2, R2
;__SECURE2_Hal.c,212 :: 		startF = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(__SECURE2_Hal_startF+0)
MOVT	R0, #hi_addr(__SECURE2_Hal_startF+0)
STRB	R1, [R0, #0]
;__SECURE2_Hal.c,232 :: 		return res;
SXTH	R0, R2
; res end address is: 8 (R2)
;__SECURE2_Hal.c,233 :: 		}
L_end_HAL_i2cStart:
BX	LR
; end of __SECURE2_Hal_HAL_i2cStart
__SECURE2_Hal_HAL_i2cWrite:
;__SECURE2_Hal.c,259 :: 		static int HAL_i2cWrite(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STRH	R2, [SP, #12]
MOV	R2, R1
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 8 (R2)
;__SECURE2_Hal.c,261 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #8]
;__SECURE2_Hal.c,262 :: 		uint8_t *ptr = pBuf;
; ptr start address is: 4 (R1)
MOV	R1, R2
; pBuf end address is: 8 (R2)
;__SECURE2_Hal.c,276 :: 		if( startF )
MOVW	R4, #lo_addr(__SECURE2_Hal_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_startF+0)
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L___SECURE2_Hal_HAL_i2cWrite0
;__SECURE2_Hal.c,278 :: 		fpStartI2C(slaveAddress, _I2C_DIR_MASTER_TRANSMIT);
STR	R1, [SP, #4]
MOVS	R1, #0
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(__SECURE2_Hal_fpStartI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpStartI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
;__SECURE2_Hal.c,279 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__SECURE2_Hal.c,280 :: 		startF = 0;
MOVS	R5, #0
MOVW	R4, #lo_addr(__SECURE2_Hal_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_startF+0)
STRB	R5, [R4, #0]
;__SECURE2_Hal.c,281 :: 		}
L___SECURE2_Hal_HAL_i2cWrite0:
;__SECURE2_Hal.c,283 :: 		if(nBytes == 1)
LDRH	R4, [SP, #12]
CMP	R4, #1
IT	NE
BNE	L___SECURE2_Hal_HAL_i2cWrite1
;__SECURE2_Hal.c,285 :: 		res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_SINGLE_SEND );
LDRB	R4, [R1, #0]
; ptr end address is: 4 (R1)
MOVS	R1, #7
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Hal_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__SECURE2_Hal.c,286 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__SECURE2_Hal.c,287 :: 		}
IT	AL
BAL	L___SECURE2_Hal_HAL_i2cWrite2
L___SECURE2_Hal_HAL_i2cWrite1:
;__SECURE2_Hal.c,288 :: 		else if(nBytes == 2)
; ptr start address is: 4 (R1)
LDRH	R4, [SP, #12]
CMP	R4, #2
IT	NE
BNE	L___SECURE2_Hal_HAL_i2cWrite3
;__SECURE2_Hal.c,290 :: 		res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_START );
LDRB	R4, [R1, #0]
STR	R1, [SP, #4]
MOVS	R1, #3
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Hal_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R4, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 0 (R0)
MOV	R0, R4
;__SECURE2_Hal.c,291 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__SECURE2_Hal.c,292 :: 		res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_BURST_SEND_FINISH );
LDRB	R4, [R0, #0]
; ptr end address is: 0 (R0)
MOVS	R1, #5
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Hal_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__SECURE2_Hal.c,293 :: 		}
IT	AL
BAL	L___SECURE2_Hal_HAL_i2cWrite4
L___SECURE2_Hal_HAL_i2cWrite3:
;__SECURE2_Hal.c,296 :: 		res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_START );
; ptr start address is: 4 (R1)
LDRB	R4, [R1, #0]
STR	R1, [SP, #4]
MOVS	R1, #3
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Hal_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R2, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 8 (R2)
;__SECURE2_Hal.c,297 :: 		Delay_1ms();
BL	_Delay_1ms+0
; ptr end address is: 8 (R2)
MOV	R1, R2
;__SECURE2_Hal.c,298 :: 		while(--nBytes > 1)
L___SECURE2_Hal_HAL_i2cWrite5:
; ptr start address is: 4 (R1)
LDRH	R4, [SP, #12]
SUBS	R4, R4, #1
UXTH	R4, R4
STRH	R4, [SP, #12]
CMP	R4, #1
IT	LS
BLS	L___SECURE2_Hal_HAL_i2cWrite6
;__SECURE2_Hal.c,300 :: 		res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_CONT );
LDRB	R4, [R1, #0]
STR	R1, [SP, #4]
MOVS	R1, #1
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Hal_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R4, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 8 (R2)
MOV	R2, R4
;__SECURE2_Hal.c,301 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__SECURE2_Hal.c,302 :: 		}
MOV	R1, R2
; ptr end address is: 8 (R2)
IT	AL
BAL	L___SECURE2_Hal_HAL_i2cWrite5
L___SECURE2_Hal_HAL_i2cWrite6:
;__SECURE2_Hal.c,303 :: 		res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_BURST_SEND_FINISH );
; ptr start address is: 4 (R1)
LDRB	R4, [R1, #0]
; ptr end address is: 4 (R1)
MOVS	R1, #5
UXTB	R0, R4
MOVW	R4, #lo_addr(__SECURE2_Hal_fpWriteI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpWriteI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__SECURE2_Hal.c,304 :: 		}
L___SECURE2_Hal_HAL_i2cWrite4:
L___SECURE2_Hal_HAL_i2cWrite2:
;__SECURE2_Hal.c,306 :: 		if( endMode = END_MODE_RESTART )
;__SECURE2_Hal.c,308 :: 		startF = 1;
MOVS	R5, #1
MOVW	R4, #lo_addr(__SECURE2_Hal_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_startF+0)
STRB	R5, [R4, #0]
;__SECURE2_Hal.c,350 :: 		return res;
LDRSH	R0, [SP, #8]
;__SECURE2_Hal.c,351 :: 		}
L_end_HAL_i2cWrite:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of __SECURE2_Hal_HAL_i2cWrite
__SECURE2_Hal_HAL_i2cRead:
;__SECURE2_Hal.c,379 :: 		static int HAL_i2cRead(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STRH	R2, [SP, #12]
MOV	R2, R1
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 8 (R2)
;__SECURE2_Hal.c,381 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #8]
;__SECURE2_Hal.c,382 :: 		uint8_t *ptr = pBuf;
; ptr start address is: 4 (R1)
MOV	R1, R2
; pBuf end address is: 8 (R2)
;__SECURE2_Hal.c,396 :: 		if( startF )
MOVW	R4, #lo_addr(__SECURE2_Hal_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_startF+0)
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L___SECURE2_Hal_HAL_i2cRead8
;__SECURE2_Hal.c,398 :: 		fpStartI2C(slaveAddress, _I2C_DIR_MASTER_RECEIVE);
STR	R1, [SP, #4]
MOVS	R1, #1
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(__SECURE2_Hal_fpStartI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpStartI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
;__SECURE2_Hal.c,399 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__SECURE2_Hal.c,400 :: 		startF = 0;
MOVS	R5, #0
MOVW	R4, #lo_addr(__SECURE2_Hal_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_startF+0)
STRB	R5, [R4, #0]
;__SECURE2_Hal.c,401 :: 		}
L___SECURE2_Hal_HAL_i2cRead8:
;__SECURE2_Hal.c,403 :: 		if(nBytes == 1)
LDRH	R4, [SP, #12]
CMP	R4, #1
IT	NE
BNE	L___SECURE2_Hal_HAL_i2cRead9
;__SECURE2_Hal.c,405 :: 		res |= fpReadI2C(ptr, _I2C_MASTER_MODE_SINGLE_RECEIVE);
MOV	R0, R1
MOVS	R1, #7
; ptr end address is: 4 (R1)
MOVW	R4, #lo_addr(__SECURE2_Hal_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__SECURE2_Hal.c,406 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__SECURE2_Hal.c,407 :: 		}
IT	AL
BAL	L___SECURE2_Hal_HAL_i2cRead10
L___SECURE2_Hal_HAL_i2cRead9:
;__SECURE2_Hal.c,408 :: 		else if(nBytes == 2)
; ptr start address is: 4 (R1)
LDRH	R4, [SP, #12]
CMP	R4, #2
IT	NE
BNE	L___SECURE2_Hal_HAL_i2cRead11
;__SECURE2_Hal.c,410 :: 		res |= fpReadI2C(ptr++, _I2C_MASTER_MODE_BURST_RECEIVE_START);
STR	R1, [SP, #4]
MOV	R0, R1
MOVS	R1, #11
MOVW	R4, #lo_addr(__SECURE2_Hal_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R4, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 0 (R0)
MOV	R0, R4
;__SECURE2_Hal.c,411 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__SECURE2_Hal.c,412 :: 		res |= fpReadI2C(ptr, _I2C_MASTER_MODE_BURST_RECEIVE_FINISH);
MOVS	R1, #5
; ptr end address is: 0 (R0)
MOVW	R4, #lo_addr(__SECURE2_Hal_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__SECURE2_Hal.c,413 :: 		}
IT	AL
BAL	L___SECURE2_Hal_HAL_i2cRead12
L___SECURE2_Hal_HAL_i2cRead11:
;__SECURE2_Hal.c,416 :: 		res |= fpReadI2C(ptr++ , _I2C_MASTER_MODE_BURST_RECEIVE_START);
; ptr start address is: 4 (R1)
STR	R1, [SP, #4]
MOV	R0, R1
MOVS	R1, #11
MOVW	R4, #lo_addr(__SECURE2_Hal_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R2, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 8 (R2)
;__SECURE2_Hal.c,417 :: 		Delay_1ms();
BL	_Delay_1ms+0
; ptr end address is: 8 (R2)
MOV	R1, R2
;__SECURE2_Hal.c,418 :: 		while(--nBytes > 1)
L___SECURE2_Hal_HAL_i2cRead13:
; ptr start address is: 4 (R1)
LDRH	R4, [SP, #12]
SUBS	R4, R4, #1
UXTH	R4, R4
STRH	R4, [SP, #12]
CMP	R4, #1
IT	LS
BLS	L___SECURE2_Hal_HAL_i2cRead14
;__SECURE2_Hal.c,420 :: 		res |= fpReadI2C(ptr++ , _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
STR	R1, [SP, #4]
MOV	R0, R1
MOVS	R1, #9
MOVW	R4, #lo_addr(__SECURE2_Hal_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
ADDS	R4, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 8 (R2)
MOV	R2, R4
;__SECURE2_Hal.c,421 :: 		Delay_1ms();
BL	_Delay_1ms+0
;__SECURE2_Hal.c,422 :: 		}
MOV	R1, R2
; ptr end address is: 8 (R2)
IT	AL
BAL	L___SECURE2_Hal_HAL_i2cRead13
L___SECURE2_Hal_HAL_i2cRead14:
;__SECURE2_Hal.c,423 :: 		res |= fpReadI2C(ptr, _I2C_MASTER_MODE_BURST_RECEIVE_FINISH);
; ptr start address is: 4 (R1)
MOV	R0, R1
MOVS	R1, #5
; ptr end address is: 4 (R1)
MOVW	R4, #lo_addr(__SECURE2_Hal_fpReadI2C+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_fpReadI2C+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #8]
ORRS	R4, R0
STRH	R4, [SP, #8]
;__SECURE2_Hal.c,424 :: 		}
L___SECURE2_Hal_HAL_i2cRead12:
L___SECURE2_Hal_HAL_i2cRead10:
;__SECURE2_Hal.c,425 :: 		if( endMode = END_MODE_RESTART )
;__SECURE2_Hal.c,427 :: 		startF = 1;
MOVS	R5, #1
MOVW	R4, #lo_addr(__SECURE2_Hal_startF+0)
MOVT	R4, #hi_addr(__SECURE2_Hal_startF+0)
STRB	R5, [R4, #0]
;__SECURE2_Hal.c,472 :: 		return res;
LDRSH	R0, [SP, #8]
;__SECURE2_Hal.c,473 :: 		}
L_end_HAL_i2cRead:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of __SECURE2_Hal_HAL_i2cRead
