#line 1 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_comm_marshaling.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/string.h"





void * memchr(void *p, char n, unsigned int v);
int memcmp(void *s1, void *s2, int n);
void * memcpy(void * d1, void * s1, int n);
void * memmove(void * to, void * from, int n);
void * memset(void * p1, char character, int n);
char * strcat(char * to, char * from);
char * strchr(char * ptr, char chr);
int strcmp(char * s1, char * s2);
char * strcpy(char * to, char * from);
int strlen(char * s);
char * strncat(char * to, char * from, int size);
char * strncpy(char * to, char * from, int size);
int strspn(char * str1, char * str2);
char strcspn(char * s1, char * s2);
int strncmp(char * s1, char * s2, char len);
char * strpbrk(char * s1, char * s2);
char * strrchr(char *ptr, char chr);
char * strstr(char * s1, char * s2);
char * strtok(char * s1, char * s2);
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm_marshaling.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_i2c.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 120 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
typedef void ( *T_SECURE2_I2C_Start )( char slave_address,
 char dir);
typedef void ( *T_SECURE2_I2C_Stop )();
typedef void ( *T_SECURE2_I2C_Restart )();
typedef unsigned char ( *T_SECURE2_I2C_Write )( unsigned char data_in,
 unsigned char mode);
typedef unsigned char ( *T_SECURE2_I2C_Read )( unsigned char *data_out,
 unsigned char mode);
#line 135 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_i2c.h"
void aes132p_enable_interface(void);
void aes132p_disable_interface(void);
uint8_t aes132p_select_device(uint8_t device_id);
uint8_t aes132p_read_memory_physical(uint8_t size, uint16_t word_address, uint8_t * data_ );
uint8_t aes132p_write_memory_physical(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132p_resync_physical(void);
#line 32 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
enum aes132_read_write_flag {
 AES132_WRITE = (uint8_t) 0,
 AES132_READ = (uint8_t) 1
};
#line 40 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
enum aes132_bit_set_flag {
 AES132_BIT_CLEARED = (uint8_t) 0,
 AES132_BIT_SET = (uint8_t) 1
};
#line 237 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
uint8_t aes132c_access_memory(uint8_t count, uint16_t word_address, uint8_t * data_ , uint8_t read);
uint8_t aes132c_read_device_status_register(uint8_t *deviceStatus);
uint8_t aes132c_send_command(uint8_t *command, uint8_t options);
uint8_t aes132c_receive_response(uint8_t count, uint8_t *response);
uint8_t aes132c_send_and_receive(uint8_t *command, uint8_t size, uint8_t *response, uint8_t options);
uint8_t aes132c_wakeup(void);
uint8_t aes132c_sleep(void);
uint8_t aes132c_standby(void);
uint8_t aes132c_resync(void);
uint8_t aes132c_wait_for_status_register_bit(uint8_t mask, uint8_t is_set, uint16_t n_retries);
uint8_t aes132c_wait_for_response_ready(void);
uint8_t aes132c_wait_for_device_ready(void);
uint8_t aes132c_send_sleep_command(uint8_t standby);
uint8_t aes132c_reset_io_address(void);
void aes132c_calculate_crc(uint8_t count, uint8_t * data_ , uint8_t *crc);
#line 150 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm_marshaling.h"
uint8_t aes132m_read_memory(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132m_write_memory(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132m_execute(uint8_t op_code, uint8_t mode, uint16_t param1, uint16_t param2,
 uint8_t datalen1, uint8_t *data1, uint8_t datalen2, uint8_t *data2,
 uint8_t datalen3, uint8_t *data3, uint8_t datalen4, uint8_t *data4,
 uint8_t *tx_buffer, uint8_t *rx_buffer);
#line 33 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_comm_marshaling.c"
uint8_t aes132m_write_memory(uint8_t count, uint16_t word_address, uint8_t * data_ )
{
 return aes132c_access_memory(count, word_address,  data_ , AES132_WRITE);
}
#line 45 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_comm_marshaling.c"
uint8_t aes132m_read_memory(uint8_t size, uint16_t word_address, uint8_t * data_ )
{
 return aes132c_access_memory(size, word_address,  data_ , AES132_READ);
}
#line 72 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_comm_marshaling.c"
uint8_t aes132m_execute(uint8_t op_code, uint8_t mode, uint16_t param1, uint16_t param2,
 uint8_t datalen1, uint8_t *data1, uint8_t datalen2, uint8_t *data2,
 uint8_t datalen3, uint8_t *data3, uint8_t datalen4, uint8_t *data4,
 uint8_t *tx_buffer, uint8_t *rx_buffer)
{
 uint8_t *p_buffer;
 uint8_t len;


 len = datalen1 + datalen2 + datalen3 + datalen4 +  ((uint8_t) 9) ;
 p_buffer = tx_buffer;
 *p_buffer++ = len;
 *p_buffer++ = op_code;
 *p_buffer++ = mode;
 *p_buffer++ = param1 >> 8;
 *p_buffer++ = param1 & 0xFF;
 *p_buffer++ = param2 >> 8;
 *p_buffer++ = param2 & 0xFF;

 if (datalen1 > 0) {
 memcpy(p_buffer, data1, datalen1);
 p_buffer += datalen1;
 }
 if (datalen2 > 0) {
 memcpy(p_buffer, data2, datalen2);
 p_buffer += datalen2;
 }
 if (datalen3 > 0) {
 memcpy(p_buffer, data3, datalen3);
 p_buffer += datalen3;
 }
 if (datalen4 > 0) {
 memcpy(p_buffer, data4, datalen4);
 p_buffer += datalen4;
 }


 return aes132c_send_and_receive(&tx_buffer[0],  ((uint8_t) 52) ,
 &rx_buffer[0],  ((uint8_t) 0x00) );
}
