_aes132p_enable_interface:
;aes132_i2c.c,34 :: 		void aes132p_enable_interface(void)
SUB	SP, SP, #4
STR	LR, [SP, #0]
;aes132_i2c.c,36 :: 		i2c_enable_phys();
BL	_i2c_enable_phys+0
;aes132_i2c.c,37 :: 		}
L_end_aes132p_enable_interface:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _aes132p_enable_interface
_aes132p_disable_interface:
;aes132_i2c.c,41 :: 		void aes132p_disable_interface(void)
SUB	SP, SP, #4
STR	LR, [SP, #0]
;aes132_i2c.c,43 :: 		i2c_disable_phys();
BL	_i2c_disable_phys+0
;aes132_i2c.c,44 :: 		}
L_end_aes132p_disable_interface:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _aes132p_disable_interface
_aes132p_select_device:
;aes132_i2c.c,51 :: 		uint8_t aes132p_select_device(uint8_t device_id)
; device_id start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; device_id end address is: 0 (R0)
; device_id start address is: 0 (R0)
;aes132_i2c.c,53 :: 		return i2c_select_device_phys(device_id);
; device_id end address is: 0 (R0)
BL	_i2c_select_device_phys+0
;aes132_i2c.c,54 :: 		}
L_end_aes132p_select_device:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _aes132p_select_device
_aes132p_write_memory_physical:
;aes132_i2c.c,63 :: 		uint8_t aes132p_write_memory_physical(uint8_t count, uint16_t word_address, uint8_t *data)
; data_ start address is: 8 (R2)
; word_address start address is: 4 (R1)
SUB	SP, SP, #272
STR	LR, [SP, #0]
STRB	R0, [SP, #268]
UXTH	R0, R1
MOV	R6, R2
; data_ end address is: 8 (R2)
; word_address end address is: 4 (R1)
; word_address start address is: 0 (R0)
; data_ start address is: 24 (R6)
;aes132_i2c.c,69 :: 		word_address_buffer [1] = (uint8_t) (word_address & 0xFF);
ADD	R5, SP, #8
ADDS	R4, R5, #1
AND	R3, R0, #255
UXTB	R3, R3
STRB	R3, [R4, #0]
;aes132_i2c.c,70 :: 		word_address_buffer [0] = (uint8_t) (word_address >> 8);
LSRS	R3, R0, #8
; word_address end address is: 0 (R0)
UXTB	R3, R3
STRB	R3, [R5, #0]
;aes132_i2c.c,74 :: 		memcpy(&data_buffer[0], word_address_buffer, 2);
ADD	R3, SP, #10
MOVS	R2, #2
SXTH	R2, R2
MOV	R1, R5
MOV	R0, R3
BL	_memcpy+0
;aes132_i2c.c,75 :: 		memcpy(&data_buffer[2], data, count);
ADD	R3, SP, #10
ADDS	R3, R3, #2
LDRB	R2, [SP, #268]
MOV	R1, R6
; data_ end address is: 24 (R6)
MOV	R0, R3
BL	_memcpy+0
;aes132_i2c.c,78 :: 		aes132_lib_return = i2c_send_slave_address(I2C_WRITE_BIT);
MOVS	R0, #0
BL	_i2c_send_slave_address+0
; aes132_lib_return start address is: 4 (R1)
UXTB	R1, R0
;aes132_i2c.c,79 :: 		if (aes132_lib_return != AES132_FUNCTION_RETCODE_SUCCESS)
CMP	R0, #0
IT	EQ
BEQ	L_aes132p_write_memory_physical0
;aes132_i2c.c,82 :: 		return aes132_lib_return;
UXTB	R0, R1
; aes132_lib_return end address is: 4 (R1)
IT	AL
BAL	L_end_aes132p_write_memory_physical
L_aes132p_write_memory_physical0:
;aes132_i2c.c,84 :: 		aes132_lib_return = i2c_send_bytes(count+2, (uint8_t *) data_buffer);
ADD	R4, SP, #10
LDRB	R3, [SP, #268]
ADDS	R3, R3, #2
MOV	R1, R4
UXTB	R0, R3
BL	_i2c_send_bytes+0
; aes132_lib_return start address is: 4 (R1)
UXTB	R1, R0
;aes132_i2c.c,85 :: 		if (aes132_lib_return != AES132_FUNCTION_RETCODE_SUCCESS) {
CMP	R0, #0
IT	EQ
BEQ	L_aes132p_write_memory_physical1
;aes132_i2c.c,87 :: 		(void) i2c_send_stop();
STRB	R1, [SP, #4]
BL	_i2c_send_stop+0
LDRB	R1, [SP, #4]
;aes132_i2c.c,88 :: 		return aes132_lib_return;
UXTB	R0, R1
; aes132_lib_return end address is: 4 (R1)
IT	AL
BAL	L_end_aes132p_write_memory_physical
;aes132_i2c.c,89 :: 		}
L_aes132p_write_memory_physical1:
;aes132_i2c.c,92 :: 		return i2c_send_stop();
BL	_i2c_send_stop+0
;aes132_i2c.c,93 :: 		}
L_end_aes132p_write_memory_physical:
LDR	LR, [SP, #0]
ADD	SP, SP, #272
BX	LR
; end of _aes132p_write_memory_physical
_aes132p_read_memory_physical:
;aes132_i2c.c,102 :: 		uint8_t aes132p_read_memory_physical(uint8_t size, uint16_t word_address, uint8_t *data)
; word_address start address is: 4 (R1)
SUB	SP, SP, #20
STR	LR, [SP, #0]
STRB	R0, [SP, #12]
UXTH	R0, R1
STR	R2, [SP, #16]
; word_address end address is: 4 (R1)
; word_address start address is: 0 (R0)
;aes132_i2c.c,110 :: 		word_address_buffer [0] = (uint8_t) (word_address >> 8);
ADD	R4, SP, #8
LSRS	R3, R0, #8
UXTB	R3, R3
STRB	R3, [R4, #0]
;aes132_i2c.c,111 :: 		word_address_buffer [1] = (uint8_t) (word_address & 0xFF);
ADDS	R4, R4, #1
AND	R3, R0, #255
; word_address end address is: 0 (R0)
UXTB	R3, R3
STRB	R3, [R4, #0]
;aes132_i2c.c,115 :: 		aes132_lib_return = i2c_send_slave_address(I2C_WRITE_BIT);
MOVS	R0, #0
BL	_i2c_send_slave_address+0
; aes132_lib_return start address is: 4 (R1)
UXTB	R1, R0
;aes132_i2c.c,116 :: 		if (aes132_lib_return != AES132_FUNCTION_RETCODE_SUCCESS)
CMP	R0, #0
IT	EQ
BEQ	L_aes132p_read_memory_physical2
;aes132_i2c.c,119 :: 		return aes132_lib_return;
UXTB	R0, R1
; aes132_lib_return end address is: 4 (R1)
IT	AL
BAL	L_end_aes132p_read_memory_physical
L_aes132p_read_memory_physical2:
;aes132_i2c.c,121 :: 		aes132_lib_return = i2c_send_bytes(2, (uint8_t *) word_address_buffer);
ADD	R3, SP, #8
MOV	R1, R3
MOVS	R0, #2
BL	_i2c_send_bytes+0
; aes132_lib_return start address is: 4 (R1)
UXTB	R1, R0
;aes132_i2c.c,122 :: 		if (aes132_lib_return != AES132_FUNCTION_RETCODE_SUCCESS) {
CMP	R0, #0
IT	EQ
BEQ	L_aes132p_read_memory_physical3
;aes132_i2c.c,124 :: 		(void) i2c_send_stop();
STRB	R1, [SP, #4]
BL	_i2c_send_stop+0
LDRB	R1, [SP, #4]
;aes132_i2c.c,125 :: 		return aes132_lib_return;
UXTB	R0, R1
; aes132_lib_return end address is: 4 (R1)
IT	AL
BAL	L_end_aes132p_read_memory_physical
;aes132_i2c.c,126 :: 		}
L_aes132p_read_memory_physical3:
;aes132_i2c.c,128 :: 		aes132_lib_return = i2c_send_slave_address(I2C_READ_BIT);
MOVS	R0, #1
BL	_i2c_send_slave_address+0
; aes132_lib_return start address is: 4 (R1)
UXTB	R1, R0
;aes132_i2c.c,129 :: 		if (aes132_lib_return != AES132_FUNCTION_RETCODE_SUCCESS)
CMP	R0, #0
IT	EQ
BEQ	L_aes132p_read_memory_physical4
;aes132_i2c.c,130 :: 		return aes132_lib_return;
UXTB	R0, R1
; aes132_lib_return end address is: 4 (R1)
IT	AL
BAL	L_end_aes132p_read_memory_physical
L_aes132p_read_memory_physical4:
;aes132_i2c.c,132 :: 		return i2c_receive_bytes(size, data);
LDR	R1, [SP, #16]
LDRB	R0, [SP, #12]
BL	_i2c_receive_bytes+0
;aes132_i2c.c,134 :: 		}
L_end_aes132p_read_memory_physical:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _aes132p_read_memory_physical
_aes132p_resync_physical:
;aes132_i2c.c,140 :: 		uint8_t aes132p_resync_physical(void)
SUB	SP, SP, #8
STR	LR, [SP, #0]
;aes132_i2c.c,142 :: 		uint8_t nine_clocks = 0xFF;
MOVS	R0, #255
STRB	R0, [SP, #5]
MOVS	R0, #2
STRB	R0, [SP, #6]
;aes132_i2c.c,143 :: 		uint8_t n_retries = 2;
;aes132_i2c.c,146 :: 		do {
L_aes132p_resync_physical5:
;aes132_i2c.c,147 :: 		aes132_lib_return = i2c_send_start();
BL	_i2c_send_start+0
STRB	R0, [SP, #4]
;aes132_i2c.c,148 :: 		if (aes132_lib_return != AES132_FUNCTION_RETCODE_SUCCESS) {
CMP	R0, #0
IT	EQ
BEQ	L_aes132p_resync_physical8
;aes132_i2c.c,151 :: 		i2c_disable_phys();
BL	_i2c_disable_phys+0
;aes132_i2c.c,152 :: 		i2c_enable_phys();
BL	_i2c_enable_phys+0
;aes132_i2c.c,153 :: 		}
L_aes132p_resync_physical8:
;aes132_i2c.c,154 :: 		if (--n_retries == 0)
LDRB	R0, [SP, #6]
SUBS	R0, R0, #1
UXTB	R0, R0
STRB	R0, [SP, #6]
CMP	R0, #0
IT	NE
BNE	L_aes132p_resync_physical9
;aes132_i2c.c,155 :: 		return aes132_lib_return;
LDRB	R0, [SP, #4]
IT	AL
BAL	L_end_aes132p_resync_physical
L_aes132p_resync_physical9:
;aes132_i2c.c,158 :: 		} while(aes132_lib_return != AES132_FUNCTION_RETCODE_SUCCESS);
LDRB	R0, [SP, #4]
CMP	R0, #0
IT	NE
BNE	L_aes132p_resync_physical5
;aes132_i2c.c,162 :: 		(void) i2c_send_bytes(1, &nine_clocks);
ADD	R0, SP, #5
MOV	R1, R0
MOVS	R0, #1
BL	_i2c_send_bytes+0
;aes132_i2c.c,164 :: 		return i2c_send_stop();
BL	_i2c_send_stop+0
;aes132_i2c.c,165 :: 		}
L_end_aes132p_resync_physical:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _aes132p_resync_physical
