#line 1 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/__SECURE2_Driver.c"
#line 14 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/__SECURE2_Driver.c"
char bufferrrr [40];
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 120 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
typedef void ( *T_SECURE2_I2C_Start )( char slave_address,
 char dir);
typedef void ( *T_SECURE2_I2C_Stop )();
typedef void ( *T_SECURE2_I2C_Restart )();
typedef unsigned char ( *T_SECURE2_I2C_Write )( unsigned char data_in,
 unsigned char mode);
typedef unsigned char ( *T_SECURE2_I2C_Read )( unsigned char *data_out,
 unsigned char mode);
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
#line 31 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
static T_SECURE2_I2C_Start fpStartI2C;
static T_SECURE2_I2C_Stop fpStopI2C;
static T_SECURE2_I2C_Restart fpRestartI2C;
static T_SECURE2_I2C_Write fpWriteI2C;
static T_SECURE2_I2C_Read fpReadI2C;

static int HAL_i2cStartWrite(uint8_t slaveAddress);
static int HAL_i2cWrite(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode);
static int HAL_i2cStartRead(uint8_t slaveAddress);
static int HAL_i2cRead(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode);
#line 152 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
static uint8_t startF = 0;
#line 200 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
static int HAL_i2cStart()
{
 int res = 0;









 startF = 1;
#line 232 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
 return res;
}
#line 259 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
static int HAL_i2cWrite(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
{
 int res = 0;
 uint8_t *ptr = pBuf;
#line 276 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
 if( startF )
 {
 fpStartI2C(slaveAddress, _I2C_DIR_MASTER_TRANSMIT);
 Delay_1ms();
 startF = 0;
 }

 if(nBytes == 1)
 {
 res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_SINGLE_SEND );
 Delay_1ms();
 }
 else if(nBytes == 2)
 {
 res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_START );
 Delay_1ms();
 res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_BURST_SEND_FINISH );
 }
 else
 {
 res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_START );
 Delay_1ms();
 while(--nBytes > 1)
 {
 res |= fpWriteI2C( *ptr++, _I2C_MASTER_MODE_BURST_SEND_CONT );
 Delay_1ms();
 }
 res |= fpWriteI2C( *ptr, _I2C_MASTER_MODE_BURST_SEND_FINISH );
 }

 if( endMode =  1  )
 {
 startF = 1;
 }
#line 350 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
 return res;
}
#line 379 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
static int HAL_i2cRead(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
{
 int res = 0;
 uint8_t *ptr = pBuf;
#line 396 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
 if( startF )
 {
 fpStartI2C(slaveAddress, _I2C_DIR_MASTER_RECEIVE);
 Delay_1ms();
 startF = 0;
 }

 if(nBytes == 1)
 {
 res |= fpReadI2C(ptr, _I2C_MASTER_MODE_SINGLE_RECEIVE);
 Delay_1ms();
 }
 else if(nBytes == 2)
 {
 res |= fpReadI2C(ptr++, _I2C_MASTER_MODE_BURST_RECEIVE_START);
 Delay_1ms();
 res |= fpReadI2C(ptr, _I2C_MASTER_MODE_BURST_RECEIVE_FINISH);
 }
 else
 {
 res |= fpReadI2C(ptr++ , _I2C_MASTER_MODE_BURST_RECEIVE_START);
 Delay_1ms();
 while(--nBytes > 1)
 {
 res |= fpReadI2C(ptr++ , _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
 Delay_1ms();
 }
 res |= fpReadI2C(ptr, _I2C_MASTER_MODE_BURST_RECEIVE_FINISH);
 }
 if( endMode =  1  )
 {
 startF = 1;
 }
#line 472 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.c"
 return res;
}
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_driver.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm_marshaling.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_i2c.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
#line 135 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_i2c.h"
void aes132p_enable_interface(void);
void aes132p_disable_interface(void);
uint8_t aes132p_select_device(uint8_t device_id);
uint8_t aes132p_read_memory_physical(uint8_t size, uint16_t word_address, uint8_t * data_ );
uint8_t aes132p_write_memory_physical(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132p_resync_physical(void);
#line 32 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
enum aes132_read_write_flag {
 AES132_WRITE = (uint8_t) 0,
 AES132_READ = (uint8_t) 1
};
#line 40 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
enum aes132_bit_set_flag {
 AES132_BIT_CLEARED = (uint8_t) 0,
 AES132_BIT_SET = (uint8_t) 1
};
#line 237 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
uint8_t aes132c_access_memory(uint8_t count, uint16_t word_address, uint8_t * data_ , uint8_t read);
uint8_t aes132c_read_device_status_register(uint8_t *deviceStatus);
uint8_t aes132c_send_command(uint8_t *command, uint8_t options);
uint8_t aes132c_receive_response(uint8_t count, uint8_t *response);
uint8_t aes132c_send_and_receive(uint8_t *command, uint8_t size, uint8_t *response, uint8_t options);
uint8_t aes132c_wakeup(void);
uint8_t aes132c_sleep(void);
uint8_t aes132c_standby(void);
uint8_t aes132c_resync(void);
uint8_t aes132c_wait_for_status_register_bit(uint8_t mask, uint8_t is_set, uint16_t n_retries);
uint8_t aes132c_wait_for_response_ready(void);
uint8_t aes132c_wait_for_device_ready(void);
uint8_t aes132c_send_sleep_command(uint8_t standby);
uint8_t aes132c_reset_io_address(void);
void aes132c_calculate_crc(uint8_t count, uint8_t * data_ , uint8_t *crc);
#line 150 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm_marshaling.h"
uint8_t aes132m_read_memory(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132m_write_memory(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132m_execute(uint8_t op_code, uint8_t mode, uint16_t param1, uint16_t param2,
 uint8_t datalen1, uint8_t *data1, uint8_t datalen2, uint8_t *data2,
 uint8_t datalen3, uint8_t *data3, uint8_t datalen4, uint8_t *data4,
 uint8_t *tx_buffer, uint8_t *rx_buffer);
#line 80 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_driver.h"
extern uint8_t _SECURE2_STATUS;

extern uint8_t _SECURE2_OK;
extern uint8_t _SECURE2_ERR;
#line 138 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_driver.h"
void SECURE2_I2CdriverInit( T_SECURE2_I2C_Start fnStart,
 T_SECURE2_I2C_Stop fnStop,
 T_SECURE2_I2C_Restart fnRestart,
 T_SECURE2_I2C_Write fnWrite,
 T_SECURE2_I2C_Read fnRead );
#line 169 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_driver.h"
uint8_t i2c_disable_phys();
uint8_t i2c_enable_phys();
uint8_t i2c_select_device_phys(uint8_t device_id);
uint8_t i2c_send_slave_address(uint8_t readBit);
uint8_t i2c_send_stop();
uint8_t i2c_send_start();
uint8_t i2c_send_bytes(uint8_t count, uint8_t * writeData);
uint8_t i2c_receive_bytes(uint8_t count, uint8_t * readData);
#line 24 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/__SECURE2_Driver.c"
extern  sfr sbit  SECURE2_SOME_PIN;
#line 32 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/__SECURE2_Driver.c"
uint8_t _SECURE2_OK = 0;
uint8_t _SECURE2_ERR = 1;
#line 41 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/__SECURE2_Driver.c"
uint8_t _SECURE2_STATUS = 0x00;
#line 64 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/__SECURE2_Driver.c"
void SECURE2_I2CdriverInit( T_SECURE2_I2C_Start fnStart,
 T_SECURE2_I2C_Stop fnStop,
 T_SECURE2_I2C_Restart fnRestart,
 T_SECURE2_I2C_Write fnWrite,
 T_SECURE2_I2C_Read fnRead )
{
 fpStartI2C = fnStart;
 fpStopI2C = fnStop;
 fpRestartI2C = fnRestart;
 fpWriteI2C = fnWrite;
 fpReadI2C = fnRead;
}
#line 89 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/__SECURE2_Driver.c"
uint8_t i2c_disable_phys()
{
 return 0x00;
}
uint8_t i2c_enable_phys()
{
 return 0x00;
}
uint8_t i2c_select_device_phys(uint8_t device_id)
{
 return 0x00;
}
uint8_t i2c_send_slave_address(uint8_t readBit)
{
 return 0x00;
}
uint8_t i2c_send_stop()
{
 return 0x00;
}
uint8_t i2c_send_start()
{
 return 0x00;
}

uint8_t i2c_send_bytes(uint8_t count, uint8_t * writeData)
{
 int i;
 for (i = 0; i <20; i++)
 bufferrrr [i] = writeData [i];
 HAL_i2cStart();
 HAL_i2cWrite(0x50, writeData, count,  0 );
 delay_ms (100);
 return 0x00;
}
uint8_t i2c_receive_bytes(uint8_t count, uint8_t * readData)
{
 HAL_i2cStart();
 HAL_i2cRead(0x50, readData, count,  0 );

 return 0x00;
}
