_aes132m_write_memory:
;aes132_comm_marshaling.c,33 :: 		uint8_t aes132m_write_memory(uint8_t count, uint16_t word_address, uint8_t *data)
; data_ start address is: 8 (R2)
; word_address start address is: 4 (R1)
; count start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; data_ end address is: 8 (R2)
; word_address end address is: 4 (R1)
; count end address is: 0 (R0)
; count start address is: 0 (R0)
; word_address start address is: 4 (R1)
; data_ start address is: 8 (R2)
;aes132_comm_marshaling.c,35 :: 		return aes132c_access_memory(count, word_address, data,  AES132_WRITE);
MOVS	R3, #0
; data_ end address is: 8 (R2)
; word_address end address is: 4 (R1)
; count end address is: 0 (R0)
BL	_aes132c_access_memory+0
;aes132_comm_marshaling.c,36 :: 		}
L_end_aes132m_write_memory:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _aes132m_write_memory
_aes132m_read_memory:
;aes132_comm_marshaling.c,45 :: 		uint8_t aes132m_read_memory(uint8_t size, uint16_t word_address, uint8_t *data)
; data_ start address is: 8 (R2)
; word_address start address is: 4 (R1)
; size start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; data_ end address is: 8 (R2)
; word_address end address is: 4 (R1)
; size end address is: 0 (R0)
; size start address is: 0 (R0)
; word_address start address is: 4 (R1)
; data_ start address is: 8 (R2)
;aes132_comm_marshaling.c,47 :: 		return aes132c_access_memory(size, word_address, data, AES132_READ);
MOVS	R3, #1
; data_ end address is: 8 (R2)
; word_address end address is: 4 (R1)
; size end address is: 0 (R0)
BL	_aes132c_access_memory+0
;aes132_comm_marshaling.c,48 :: 		}
L_end_aes132m_read_memory:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _aes132m_read_memory
_aes132m_execute:
;aes132_comm_marshaling.c,75 :: 		uint8_t *tx_buffer, uint8_t *rx_buffer)
; param2 start address is: 12 (R3)
; mode start address is: 4 (R1)
SUB	SP, SP, #20
STR	LR, [SP, #0]
STRB	R0, [SP, #12]
UXTB	R0, R1
STRH	R2, [SP, #16]
; param2 end address is: 12 (R3)
; mode end address is: 4 (R1)
; mode start address is: 0 (R0)
; param2 start address is: 12 (R3)
; datalen1 start address is: 24 (R6)
LDRB	R6, [SP, #20]
; data1 start address is: 4 (R1)
LDR	R1, [SP, #24]
; datalen2 start address is: 28 (R7)
LDRB	R7, [SP, #28]
; data2 start address is: 32 (R8)
LDR	R8, [SP, #32]
; datalen3 start address is: 36 (R9)
LDRB	R9, [SP, #36]
; data3 start address is: 40 (R10)
LDR	R10, [SP, #40]
; datalen4 start address is: 44 (R11)
LDRB	R11, [SP, #44]
; data4 start address is: 48 (R12)
LDR	R12, [SP, #48]
; tx_buffer start address is: 8 (R2)
LDR	R2, [SP, #52]
LDR	R4, [SP, #56]
STR	R4, [SP, #56]
;aes132_comm_marshaling.c,81 :: 		len = datalen1 + datalen2 + datalen3 + datalen4 + AES132_COMMAND_SIZE_MIN;
ADDS	R4, R6, R7
SXTH	R4, R4
ADD	R4, R4, R9, LSL #0
SXTH	R4, R4
ADD	R4, R4, R11, LSL #0
SXTH	R4, R4
ADDS	R4, #9
;aes132_comm_marshaling.c,82 :: 		p_buffer = tx_buffer;
STR	R2, [SP, #8]
;aes132_comm_marshaling.c,83 :: 		*p_buffer++ = len;
UXTB	R4, R4
STRB	R4, [R2, #0]
LDR	R4, [SP, #8]
ADDS	R5, R4, #1
STR	R5, [SP, #8]
;aes132_comm_marshaling.c,84 :: 		*p_buffer++ = op_code;
LDRB	R4, [SP, #12]
STRB	R4, [R5, #0]
LDR	R4, [SP, #8]
ADDS	R4, R4, #1
STR	R4, [SP, #8]
;aes132_comm_marshaling.c,85 :: 		*p_buffer++ = mode;
STRB	R0, [R4, #0]
; mode end address is: 0 (R0)
LDR	R4, [SP, #8]
ADDS	R5, R4, #1
STR	R5, [SP, #8]
;aes132_comm_marshaling.c,86 :: 		*p_buffer++ = param1 >> 8;
LDRH	R4, [SP, #16]
LSRS	R4, R4, #8
STRB	R4, [R5, #0]
LDR	R4, [SP, #8]
ADDS	R5, R4, #1
STR	R5, [SP, #8]
;aes132_comm_marshaling.c,87 :: 		*p_buffer++ = param1 & 0xFF;
LDRH	R4, [SP, #16]
AND	R4, R4, #255
STRB	R4, [R5, #0]
LDR	R4, [SP, #8]
ADDS	R5, R4, #1
STR	R5, [SP, #8]
;aes132_comm_marshaling.c,88 :: 		*p_buffer++ = param2 >> 8;
LSRS	R4, R3, #8
STRB	R4, [R5, #0]
LDR	R4, [SP, #8]
ADDS	R5, R4, #1
STR	R5, [SP, #8]
;aes132_comm_marshaling.c,89 :: 		*p_buffer++ = param2 & 0xFF;
AND	R4, R3, #255
; param2 end address is: 12 (R3)
STRB	R4, [R5, #0]
LDR	R4, [SP, #8]
ADDS	R4, R4, #1
STR	R4, [SP, #8]
;aes132_comm_marshaling.c,91 :: 		if (datalen1 > 0) {
CMP	R6, #0
IT	LS
BLS	L_aes132m_execute0
;aes132_comm_marshaling.c,92 :: 		memcpy(p_buffer, data1, datalen1);
STR	R2, [SP, #4]
UXTB	R2, R6
; data1 end address is: 4 (R1)
LDR	R0, [SP, #8]
BL	_memcpy+0
LDR	R2, [SP, #4]
;aes132_comm_marshaling.c,93 :: 		p_buffer += datalen1;
LDR	R4, [SP, #8]
ADDS	R4, R4, R6
; datalen1 end address is: 24 (R6)
STR	R4, [SP, #8]
;aes132_comm_marshaling.c,94 :: 		}
L_aes132m_execute0:
;aes132_comm_marshaling.c,95 :: 		if (datalen2 > 0) {
CMP	R7, #0
IT	LS
BLS	L_aes132m_execute1
;aes132_comm_marshaling.c,96 :: 		memcpy(p_buffer, data2, datalen2);
STR	R2, [SP, #4]
UXTB	R2, R7
MOV	R1, R8
; data2 end address is: 32 (R8)
LDR	R0, [SP, #8]
BL	_memcpy+0
LDR	R2, [SP, #4]
;aes132_comm_marshaling.c,97 :: 		p_buffer += datalen2;
LDR	R4, [SP, #8]
ADDS	R4, R4, R7
; datalen2 end address is: 28 (R7)
STR	R4, [SP, #8]
;aes132_comm_marshaling.c,98 :: 		}
L_aes132m_execute1:
;aes132_comm_marshaling.c,99 :: 		if (datalen3 > 0) {
CMP	R9, #0
IT	LS
BLS	L_aes132m_execute2
;aes132_comm_marshaling.c,100 :: 		memcpy(p_buffer, data3, datalen3);
STR	R2, [SP, #4]
UXTB	R2, R9
MOV	R1, R10
; data3 end address is: 40 (R10)
LDR	R0, [SP, #8]
BL	_memcpy+0
LDR	R2, [SP, #4]
;aes132_comm_marshaling.c,101 :: 		p_buffer += datalen3;
LDR	R4, [SP, #8]
ADD	R4, R4, R9, LSL #0
; datalen3 end address is: 36 (R9)
STR	R4, [SP, #8]
;aes132_comm_marshaling.c,102 :: 		}
L_aes132m_execute2:
;aes132_comm_marshaling.c,103 :: 		if (datalen4 > 0) {
CMP	R11, #0
IT	LS
BLS	L_aes132m_execute3
;aes132_comm_marshaling.c,104 :: 		memcpy(p_buffer, data4, datalen4);
STR	R2, [SP, #4]
; datalen4 end address is: 44 (R11)
UXTB	R2, R11
MOV	R1, R12
; data4 end address is: 48 (R12)
LDR	R0, [SP, #8]
BL	_memcpy+0
LDR	R2, [SP, #4]
;aes132_comm_marshaling.c,106 :: 		}
L_aes132m_execute3:
;aes132_comm_marshaling.c,110 :: 		&rx_buffer[0], AES132_OPTION_DEFAULT);
MOVS	R3, #0
;aes132_comm_marshaling.c,109 :: 		return aes132c_send_and_receive(&tx_buffer[0], AES132_RESPONSE_SIZE_MAX,
MOVS	R1, #52
MOV	R0, R2
;aes132_comm_marshaling.c,110 :: 		&rx_buffer[0], AES132_OPTION_DEFAULT);
LDR	R2, [SP, #56]
; tx_buffer end address is: 8 (R2)
BL	_aes132c_send_and_receive+0
;aes132_comm_marshaling.c,111 :: 		}
L_end_aes132m_execute:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _aes132m_execute
