#line 1 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_i2c.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/string.h"





void * memchr(void *p, char n, unsigned int v);
int memcmp(void *s1, void *s2, int n);
void * memcpy(void * d1, void * s1, int n);
void * memmove(void * to, void * from, int n);
void * memset(void * p1, char character, int n);
char * strcat(char * to, char * from);
char * strchr(char * ptr, char chr);
int strcmp(char * s1, char * s2);
char * strcpy(char * to, char * from);
int strlen(char * s);
char * strncat(char * to, char * from, int size);
char * strncpy(char * to, char * from, int size);
int strspn(char * str1, char * str2);
char strcspn(char * s1, char * s2);
int strncmp(char * s1, char * s2, char len);
char * strpbrk(char * s1, char * s2);
char * strrchr(char *ptr, char chr);
char * strstr(char * s1, char * s2);
char * strtok(char * s1, char * s2);
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_i2c.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 120 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
typedef void ( *T_SECURE2_I2C_Start )( char slave_address,
 char dir);
typedef void ( *T_SECURE2_I2C_Stop )();
typedef void ( *T_SECURE2_I2C_Restart )();
typedef unsigned char ( *T_SECURE2_I2C_Write )( unsigned char data_in,
 unsigned char mode);
typedef unsigned char ( *T_SECURE2_I2C_Read )( unsigned char *data_out,
 unsigned char mode);
#line 135 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_i2c.h"
void aes132p_enable_interface(void);
void aes132p_disable_interface(void);
uint8_t aes132p_select_device(uint8_t device_id);
uint8_t aes132p_read_memory_physical(uint8_t size, uint16_t word_address, uint8_t * data_ );
uint8_t aes132p_write_memory_physical(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132p_resync_physical(void);
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_driver.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_hal.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm_marshaling.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_i2c.h"
#line 32 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
enum aes132_read_write_flag {
 AES132_WRITE = (uint8_t) 0,
 AES132_READ = (uint8_t) 1
};
#line 40 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
enum aes132_bit_set_flag {
 AES132_BIT_CLEARED = (uint8_t) 0,
 AES132_BIT_SET = (uint8_t) 1
};
#line 237 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm.h"
uint8_t aes132c_access_memory(uint8_t count, uint16_t word_address, uint8_t * data_ , uint8_t read);
uint8_t aes132c_read_device_status_register(uint8_t *deviceStatus);
uint8_t aes132c_send_command(uint8_t *command, uint8_t options);
uint8_t aes132c_receive_response(uint8_t count, uint8_t *response);
uint8_t aes132c_send_and_receive(uint8_t *command, uint8_t size, uint8_t *response, uint8_t options);
uint8_t aes132c_wakeup(void);
uint8_t aes132c_sleep(void);
uint8_t aes132c_standby(void);
uint8_t aes132c_resync(void);
uint8_t aes132c_wait_for_status_register_bit(uint8_t mask, uint8_t is_set, uint16_t n_retries);
uint8_t aes132c_wait_for_response_ready(void);
uint8_t aes132c_wait_for_device_ready(void);
uint8_t aes132c_send_sleep_command(uint8_t standby);
uint8_t aes132c_reset_io_address(void);
void aes132c_calculate_crc(uint8_t count, uint8_t * data_ , uint8_t *crc);
#line 150 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/aes132_comm_marshaling.h"
uint8_t aes132m_read_memory(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132m_write_memory(uint8_t count, uint16_t word_address, uint8_t * data_ );
uint8_t aes132m_execute(uint8_t op_code, uint8_t mode, uint16_t param1, uint16_t param2,
 uint8_t datalen1, uint8_t *data1, uint8_t datalen2, uint8_t *data2,
 uint8_t datalen3, uint8_t *data3, uint8_t datalen4, uint8_t *data4,
 uint8_t *tx_buffer, uint8_t *rx_buffer);
#line 80 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_driver.h"
extern uint8_t _SECURE2_STATUS;

extern uint8_t _SECURE2_OK;
extern uint8_t _SECURE2_ERR;
#line 138 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_driver.h"
void SECURE2_I2CdriverInit( T_SECURE2_I2C_Start fnStart,
 T_SECURE2_I2C_Stop fnStop,
 T_SECURE2_I2C_Restart fnRestart,
 T_SECURE2_I2C_Write fnWrite,
 T_SECURE2_I2C_Read fnRead );
#line 169 "c:/users/djordje.rosic/desktop/c/arm/tiva/library/__secure2_driver.h"
uint8_t i2c_disable_phys();
uint8_t i2c_enable_phys();
uint8_t i2c_select_device_phys(uint8_t device_id);
uint8_t i2c_send_slave_address(uint8_t readBit);
uint8_t i2c_send_stop();
uint8_t i2c_send_start();
uint8_t i2c_send_bytes(uint8_t count, uint8_t * writeData);
uint8_t i2c_receive_bytes(uint8_t count, uint8_t * readData);
#line 28 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_i2c.c"
enum aes132_i2c_read_write_flag {
 I2C_WRITE_BIT = (uint8_t) 0x00,
 I2C_READ_BIT = (uint8_t) 0x01
};


void aes132p_enable_interface(void)
{
 i2c_enable_phys();
}



void aes132p_disable_interface(void)
{
 i2c_disable_phys();
}
#line 51 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_i2c.c"
uint8_t aes132p_select_device(uint8_t device_id)
{
 return i2c_select_device_phys(device_id);
}
#line 63 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_i2c.c"
uint8_t aes132p_write_memory_physical(uint8_t count, uint16_t word_address, uint8_t * data_ )
{

 uint8_t word_address_buffer[2];
 uint8_t data_buffer[258];
 uint8_t aes132_lib_return;
 word_address_buffer [1] = (uint8_t) (word_address & 0xFF);
 word_address_buffer [0] = (uint8_t) (word_address >> 8);



 memcpy(&data_buffer[0], word_address_buffer, 2);
 memcpy(&data_buffer[2],  data_ , count);


 aes132_lib_return = i2c_send_slave_address(I2C_WRITE_BIT);
 if (aes132_lib_return !=  ((uint8_t) 0x00) )


 return aes132_lib_return;

 aes132_lib_return = i2c_send_bytes(count+2, (uint8_t *) data_buffer);
 if (aes132_lib_return !=  ((uint8_t) 0x00) ) {

 (void) i2c_send_stop();
 return aes132_lib_return;
 }


 return i2c_send_stop();
}
#line 102 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_i2c.c"
uint8_t aes132p_read_memory_physical(uint8_t size, uint16_t word_address, uint8_t * data_ )
{




 uint8_t word_address_buffer[2];
 uint8_t aes132_lib_return;
 word_address_buffer [0] = (uint8_t) (word_address >> 8);
 word_address_buffer [1] = (uint8_t) (word_address & 0xFF);



 aes132_lib_return = i2c_send_slave_address(I2C_WRITE_BIT);
 if (aes132_lib_return !=  ((uint8_t) 0x00) )


 return aes132_lib_return;

 aes132_lib_return = i2c_send_bytes(2, (uint8_t *) word_address_buffer);
 if (aes132_lib_return !=  ((uint8_t) 0x00) ) {

 (void) i2c_send_stop();
 return aes132_lib_return;
 }

 aes132_lib_return = i2c_send_slave_address(I2C_READ_BIT);
 if (aes132_lib_return !=  ((uint8_t) 0x00) )
 return aes132_lib_return;

 return i2c_receive_bytes(size,  data_ );

}
#line 140 "C:/Users/djordje.rosic/Desktop/c/ARM/TIVA/library/aes132_i2c.c"
uint8_t aes132p_resync_physical(void)
{
 uint8_t nine_clocks = 0xFF;
 uint8_t n_retries = 2;
 uint8_t aes132_lib_return;

 do {
 aes132_lib_return = i2c_send_start();
 if (aes132_lib_return !=  ((uint8_t) 0x00) ) {


 i2c_disable_phys();
 i2c_enable_phys();
 }
 if (--n_retries == 0)
 return aes132_lib_return;


 } while(aes132_lib_return !=  ((uint8_t) 0x00) );



 (void) i2c_send_bytes(1, &nine_clocks);

 return i2c_send_stop();
}
